"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REPLACEMENTS = exports.PROXIES = void 0;
const fs = require('fs');
const path = require('path');
exports.PROXIES = {};
try {
    exports.PROXIES = JSON.parse(fs.readFileSync(path.resolve(process.cwd(), 'proxy.conf.json'), 'utf-8'));
}
catch (error) {
    exports.PROXIES = {};
}
let packageJsonApp;
try {
    packageJsonApp = JSON.parse(fs.readFileSync(path.resolve(process.cwd(), 'package.json'), 'utf-8'));
}
catch (error) {
    packageJsonApp = {};
}
let packageJsonCli;
try {
    packageJsonCli = JSON.parse(fs.readFileSync(path.resolve(process.cwd(), 'node_modules/@leanup/stack/package.json'), 'utf-8'));
}
catch (error) {
    packageJsonCli = {};
}
exports.REPLACEMENTS = [];
switch (process.env.NODE_ENV) {
    case 'development':
    case 'production':
        exports.REPLACEMENTS.push({ from: '$$NODE_ENV$$', to: process.env.NODE_ENV });
}
if (typeof packageJsonApp.name === 'string') {
    exports.REPLACEMENTS.push({ from: '$$APP_NAME$$', to: packageJsonApp.name });
}
if (typeof packageJsonApp.version === 'string') {
    exports.REPLACEMENTS.push({ from: '$$APP_VERSION$$', to: packageJsonApp.version });
}
if (typeof packageJsonApp.author === 'string') {
    exports.REPLACEMENTS.push({ from: '$$APP_AUTHOR$$', to: packageJsonApp.author });
}
else if (typeof packageJsonApp.author === 'object' && packageJsonApp.author != null) {
    if (typeof packageJsonApp.author.name === 'string') {
        exports.REPLACEMENTS.push({ from: '$$APP_AUTHOR_NAME$$', to: packageJsonApp.author.name });
    }
    if (typeof packageJsonApp.author.mail === 'string') {
        exports.REPLACEMENTS.push({ from: '$$APP_AUTHOR_MAIL$$', to: packageJsonApp.author.mail });
    }
    if (typeof packageJsonApp.author.url === 'string') {
        exports.REPLACEMENTS.push({ from: '$$APP_AUTHOR_URL$$', to: packageJsonApp.author.url });
    }
}
if (typeof packageJsonApp.homepage === 'string') {
    exports.REPLACEMENTS.push({ from: '$$APP_HOMEPAGE$$', to: packageJsonApp.homepage });
}
if (typeof packageJsonCli.name === 'string') {
    exports.REPLACEMENTS.push({ from: '$$CLI_NAME$$', to: packageJsonCli.name });
}
if (typeof packageJsonCli.version === 'string') {
    exports.REPLACEMENTS.push({ from: '$$CLI_VERSION$$', to: packageJsonCli.version });
}
//# sourceMappingURL=index.js.map